API OverviewAPI Reference
developer.placewise.comapp.placewise.complacewise.com
API OverviewAPI Reference
developer.placewise.comapp.placewise.complacewise.com
IndexPublic API
Management APIUsers APIOperations APIMessaging APIReporting APIML APIData API
IndexPublic API
Management APIUsers APIOperations APIMessaging APIReporting APIML APIData API
  1. Registration Password
  • Introduction
  • Loyalty Club
    • Loyalty Clubs
      • Introduction
      • Show Loyalty Club
      • List Loyalty Clubs
    • Schema
      • Show Schema
    • Legal Information
      • Show Legal Information
    • Translations
      • List Translations (v4)
      • List Translations (v3)
    • Carbon Offset Program
      • Show Carbon Offset Program Info
    • Cars
      • Show Cars Configuration
      • Show Available Cars Colors
    • Programs
      • Introduction
      • List Programs
      • Show Program
    • Receipts
      • Introduction
      • Show Receipts Configuration
  • Member
    • Authentication
      • OAuth Flow
      • One Time Password
        • Send OTP via SMS
        • Send OTP via SMS by Email
        • Send OTP via Email
        • Send OTP via Email by MSISDN
      • Registration Password
        • Send Registration Password SMS
          POST
        • Send Registration Password Email
          POST
      • Create Token
        POST
      • Revoke Token
        POST
      • Show Token Info
        GET
    • Profile
      • Public Info
        • Show Member Public Info
        • Show Member Public Info by MSISDN
        • Show Member Public Info by Email
      • Person ID
        • Show Member Person ID
        • Show Member Person ID by MSISDN
        • Show Member Person ID by Email
      • Create Member
      • Update Member
      • Validate Member
      • Register Member App Token
      • Show Member
      • Destroy Member
      • Remove Member Properties
    • Programs
      • Registration
        • Start
        • Confirm
      • Update Member Programs
      • Add Member to Program
      • List Member Programs
      • Remove Member from Program
    • Cars
      • Introduction
      • List Member Cars
      • Create Member Car
      • Show Member Car
      • Update Member Car
      • Renew Member Car
      • Destroy Member Car
      • Lookup a Car
    • Benefits
      • Introduction
      • List Member Benefits
      • Show Member Benefit
    • Verification
      • Send Verification Email
      • Send Verification SMS
      • Verify Email
      • Verify MSISDN
    • Password
      • Update Password
      • Reset Password
      • Send Password Reset Token
    • Integrations
      • Amano Parking Integration
        • Create Card
        • Delete Card
      • Spaycial Integrations
        • Generate Connections URL
        • Generate Connect URL
        • Show Spaycial Connections Status
        • Show Spaycial Feature Settings
        • Update Spaycial Feature Settings
    • Receipts
      • Introduction
      • List Submissions
      • Show Submission
      • Create Submission
      • Update Submission
      • Delete Submission
      • Check Limits Exceeded
    • Misc
      • Checkin to Store
      • Show Messages History
      • Show Messages History (v1)
    • Files
      • Uploads
        • Upload status
        • Start Upload
        • Upload Part
        • Finish Upload
        • Activate Uploaded File
    • Messages
      • Send "delivered" event for push message
      • Send "opened" event for push message
    • Refer A Friend
      • Show Campaign
  • Offers
    • Introduction
    • Offers
      • Show Offers Meta
      • Show Offer
      • Encode Offer
      • List Offers
      • Use Offer
      • Like Offer
      • Unlike Offer
    • Offers Preview
      • Preview Offers Meta
      • Preview Offer
      • Preview Offers List
    • Events
      • Introduction
      • Register "clicked" Event
      • Register "seen" Event
  • Rewards
    • Introduction
    • Rewards Program
      • Show Rewards Program
      • Join To Rewards Program
      • Leave Rewards Program
      • Show Member Rewards Program Status
      • Show Achievements Summary
    • Rewards
      • List Rewards
      • Show Reward
      • List Rewards - Preview
      • List Purchased Rewards
      • Show Purchased Reward
      • Purchase Reward
      • Use Reward
  • Games
    • Introduction
    • Games
      • List Games
      • Show Game Details
      • Show Game Ticket
      • Play Game
      • Issue Game Prize
  • CMS Content
    • Introduction
    • Venue Info
      • Introduction
      • Show Venue Info
    • Components
      • Component Schema Model
      • Show Components Schema
    • Pages
      • Page Model
      • List Pages
      • Show Page
      • Route Page
    • Articles
      • Article Model
      • Articles Categories
        • List Articles Categories
        • Show Articles Categories
      • List Articles
      • Show Article
    • Events
      • Event Model
      • Events Groups
        • Introduction
        • List Events Groups
        • Show Events Group
      • Events Categories
        • List Events Categories
        • Show Events Categories
      • List Events
      • Show Event
    • Job Postings
      • Introduction
      • List Job Postings
      • Show Job Posting
    • Service Messages
      • Introduction
      • List Service Messages
      • Show Service Message
    • Stores
      • Introduction
      • List
      • Show
    • Stores Categories
      • Introduction
      • List Stores Categories
      • Show Stores Category
    • Promotions
      • Introduction
      • List Promotions Collections
      • List Promotions
      • Show Promotion
    • Press Releases
      • Press Release Model
      • List Press Releases
      • Show Press Release
    • Attachments
      • Attachment Model
      • List Attachments
  • Website
    • Introduction
    • Show Website
  • Mobile App
    • Show Homepage
API OverviewAPI Reference
developer.placewise.comapp.placewise.complacewise.com
API OverviewAPI Reference
developer.placewise.comapp.placewise.complacewise.com
IndexPublic API
Management APIUsers APIOperations APIMessaging APIReporting APIML APIData API
IndexPublic API
Management APIUsers APIOperations APIMessaging APIReporting APIML APIData API
  1. Registration Password

Send Registration Password Email

Pending
POST
https://api.mpc.dev.placewise.com/v3/{loyalty_club_slug}/members/by_email/{email}/send_registration_password
API Permit:BL:Api:Members:CreateRegistrationPassword
API Context:Loyalty Club
Authorizations:Token
CAUTION
We highly recommend utilizing our new Member Identity Provider to manage the standard OAuth flow, particularly for new integrations.
For comprehensive technical details, please refer to the Member Identity Provider docs.
Sends a registration email to member identified by given email
See Send Registration Password SMS

URL Parameters#

ParameterDescriptionType
emailMember's emaile-mail

Example#

Always returns an empty object
{
  // Empty object
}

Request

Path Params

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.mpc.dev.placewise.com/v3/infinity-mall/members/by_email//send_registration_password' \
--header 'X-User-Agent: ApiDog' \
--header 'X-Product-Name: default' \
--header 'X-Loyalty-Club-Slug: infinity-mall' \
--header 'X-Customer: 447' \
--header 'Authorization: Bearer ' \
--header 'X-Client-Authorization: ' \
--header 'Content-Type: application/json'
Response Response Example
{}
Previous
Send Registration Password SMS
Next
Create Token
Built with